# [name]

A point's [link:https://en.wikipedia.org/wiki/Cylindrical_coordinate_system cylindrical coordinates].

## Constructor

### [name]( [param:Float radius], [param:Float theta], [param:Float y] )

[page:Float radius] - distance from the origin to a point in the x-z plane. Default is `1.0`.
[page:Float theta] - counterclockwise angle in the x-z plane measured in radians from the positive z-axis. Default is `0`.
[page:Float y] - height above the x-z plane. Default is `0`.

## Properties

### [property:Float radius]

### [property:Float theta]

### [property:Float y]

## Methods

### [method:Cylindrical clone]()

Returns a new cylindrical with the same [page:.radius radius], [page:.theta theta] and [page:.y y] properties as this one.

### [method:this copy]( [param:Cylindrical other] )

Copies the values of the passed Cylindrical's [page:.radius radius], [page:.theta theta] and [page:.y y] properties to this cylindrical.

### [method:this set]( [param:Float radius], [param:Float theta], [param:Float y] )

Sets values of this cylindrical's [page:.radius radius], [page:.theta theta] and [page:.y y] properties.

### [method:this setFromVector3]( [param:Vector3 vec3] )

Sets values of this cylindrical's [page:.radius radius], [page:.theta theta] and [page:.y y] properties from the [page:Vector3 Vector3].

### [method:this setFromCartesianCoords]( [param:Float x], [param:Float y], [param:Float z] )

Sets values of this cylindrical's [page:.radius radius], [page:.theta theta] and [page:.y y] properties from Cartesian coordinates.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]